MINETESTMAPPER(6)

NAME
minetestmapper - generate an overview image of a Minetest map

SYNOPSIS
minetestmapper -i world_path -o output_image

See additional optional parameters below.

DESCRIPTION
minetestmapper generates an overview image of a minetest map. This is a port of the original minetestmapper.py to C++, that is both faster and provides more functionality than the deprecated Python script.

MANDATORY PARAMETERS

-i world_path
    Input world path.

-o output_image
    Path to output image. (only PNG supported currently)

OPTIONAL PARAMETERS

--bgcolor color
    Background color of image, e.g. "--bgcolor #ffffff"

--scalecolor color
    Color of scale, e.g. "--scalecolor #000000"

--playercolor color
    Color of player indicators, e.g. "--playercolor #ff0000"

--origincolor color
    Color of origin indicator, e.g. "--origincolor #ff0000"

--drawscale
    Draw tick marks

--drawplayers
    Draw player indicators

--draworigin
    Draw origin indicator

--drawalpha
    Allow nodes to be drawn with transparency

--noshading
    Don't draw shading on nodes

--noemptyimage
    Don't output anything when the image would be empty.

--min-y number
    Don't draw nodes below this y value, e.g. "--min-y -25"

--max-y number
    Don't draw nodes above this y value, e.g. "--max-y 75"

--backend backend
    Use specific map backend; supported: sqlite3, leveldb, redis, postgresql, e.g. "--backend leveldb"

--geometry geometry
    Limit area to specific geometry (x:y+w+h where x and y specify the lower left corner), e.g. "--geometry -800:-800+1600+1600"

--extent
    Don't render the image, just print the extent of the map that would be generated, in the same format as the geometry above.

--zoom factor
    Zoom the image by using more than one pixel per node, e.g. "--zoom 4"

--colors path
    Forcefully set path to colors.txt file (it's autodetected otherwise), e.g. "--colors ../minetest/mycolors.txt"

--scales edges
    Draw scales on specified image edges (letters t b l r meaning top, bottom, left and right), e.g. "--scales tbr"

--exhaustive mode
    Select if database should be traversed exhaustively or using range queries, available: never, y, full, auto

    Defaults to auto. You shouldn't need to change this, but doing so can improve rendering times on large maps. For these optimizations to work it is important that you set min-y and max-y when you don't care about the world below e.g. -60 and above 1000 nodes.

--dumpblock pos
    Instead of rendering anything try to load the block at the given position (x,y,z) and print its raw data as hexadecimal.

MORE INFORMATION
Website: https://github.com/minetest/minetestmapper

MAN PAGE AUTHOR
Daniel Moerner